Name: redshift
Version: 1.6
Release: alt1.M50P.1

Summary: Redshift adjusts the color temperature of your screen
Summary(ru_RU.UTF-8): Redshift изменяет температуру цвета Вашего экрана для снижения утомляемости глаз

License: GPLv3
Group: Graphical desktop/GNOME
Url: https://launchpad.net/redshift

Packager: Anton Chernyshov <ach@altlinux.org>
Source0: %name-%version.tar.bz2

# Fix Russian translation files
Source1: ru.po
Source2: ru.gmo

# Backport patch
Patch0: %name-%version-alt-backports.patch

BuildPreReq: rpm-build-gnome
BuildPreReq: rpm-build-python
BuildPreReq: rpm-build-docs
BuildPreReq: xorg-xf86vidmodeproto-devel
BuildPreReq: libXxf86vm-devel
BuildPreReq: libXext-devel
BuildPreReq: libgnome-panel-devel

# Automatically added by buildreq on Tue Oct 19 2010
BuildRequires: libGConf-devel  
BuildRequires: libX11-devel
BuildRequires: libXxf86vm-devel
BuildRequires: python-devel

%description
Redshift adjusts the color temperature of your screen according
to your surroundings. This may help your eyes hurt less if you
are working in front of the screen at night. The color temperature 
is set according to the position of the sun. A different color temperature
is set during night and daytime. During twilight and early morning,
the color temperature transitions smoothly from night to daytime temperature
to allow your eyes to slowly adapt.

%description -l ru_RU.UTF-8
Redshift изменяет температуру цвета экрана вашего компьютера. Это может
снизить утомляемость глаз, особенно если вы работаете за компьютером
ночью. Температура цвета устанавливается в зависимости от позиции
солнца на небе (определяется на основе географических координат) 
и текущего времени суток. Изменение температуры цвета происходит
плавно, давая Вашим глазам время на адаптацию.

%prep
%setup
%patch0 -p1

# Overwrite files with translation with another ones
cp %{SOURCE1} %_builddir/%name-%version/po/
cp %{SOURCE2} %_builddir/%name-%version/po/

%build
%configure \
    --enable-randr \
    --enable-vidmode \
    --enable-nls \
    --enable-gui \
    --enable-gnome-clock \
    
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%_bindir/*
%python_sitelibdir/gtk_%name/*
%_desktopdir/*
%doc ABOUT-NLS AUTHORS ChangeLog NEWS README
%_iconsdir/hicolor/*
%_man1dir/*

%post
# If gnome-panel installed (i.e. for GNOME users) - set program to autostart
# KDE users must set redshift parameters manually

if [ -e %_desktopdir/gnome-panel.desktop ]; then
	cp %_desktopdir/gtk-redshift.desktop %_sysconfdir/xdg/autostart/
fi

%postun
rm -f %_sysconfdir/xdg/autostart/gtk-redshift.desktop

%changelog
* Mon Nov 8 2010 Anton Chernyshov <ach@altlinux.org> 1.6-alt1.M50P.1
- backported redshift-1.6-alt1.M51.1 to p5:

* Mon Nov 8 2010 Anton Chernyshov <ach@altlinux.org> 1.6-alt1.M51.1
- backported redshift-1.6-alt1 to 5.1:
  + patch sources to use python-2.5
- exclude license file from package according to distribution policy
- add man to package

* Mon Oct 18 2010 Anton Chernyshov <ach@altlinux.org> 1.6-alt1
- new upstream release
- completely translate this release to Russian language
- added new BuildReq dependencies

* Sat Oct 16 2010 Anton Chernyshov <ach@altlinux.org> 1.5-alt3.1
- completely translate program to Russian language

* Thu Oct 14 2010 Anton Chernyshov <ach@altlinux.org> 1.5-alt3
- adding some configure settings
- reformed and corrected Russian translation files

* Mon Oct 11 2010 Anton Chernyshov <ach@altlinux.org> 1.5-alt2.1
- some minor spec changes

* Tue Oct 7 2010 Anton Chernyshov <ach@altlinux.org> 1.5-alt2
- fix up spec-file according to Sisyphus requirements

* Wed Oct 6 2010 Anton Chernyshov <ach@altlinux.org> 1.5-alt1
- create (more or less) generic spec file and initial build...
